## ros-melodic-nmea-navsat-driver 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nmea_navsat_driver)

find_package(catkin REQUIRED)

catkin_python_setup()
catkin_package()

install(PROGRAMS
   scripts/nmea_serial_driver
   scripts/nmea_socket_driver
   scripts/nmea_topic_driver
   scripts/nmea_topic_serial_reader
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
   FILES_MATCHING PATTERN "*.launch"
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint)
  roslint_python()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-melodic-nmea-navsat-driver (0.5.2-1stretch) stretch; urgency=high

  * Use Python's SocketServer rather than low level socket APIs. (#92 <https://github.com/evenator/nmea_navsat_driver/issues/92>)
    This simplifies code and makes it easier to add TCP support in the future. The ``buffer_size`` parameter is no longer necessary because this is an internal detail of UDPServer.
  * Add documentation that passes ``pydocstyle``. (#88 <https://github.com/evenator/nmea_navsat_driver/issues/88>)
  * Add an Option to Use GNSS Time and Improve Time Parsing. (#79 <https://github.com/evenator/nmea_navsat_driver/issues/79>)
    
      * Add an optional parameter ``use_GNSS_time`` to use the time from the GPS sentences for ROS message time instead of using system time.
      * Improve GPS time parsing to support nanosecond precision on devices that support it.
      * Improve GPS time parsing to use RMC message for date when available.
      * Improve GPS time parsing to resolve ambiguities in date and century using system time.
    
  * Refactor all nodes into entrypoint scripts. (#76 <https://github.com/evenator/nmea_navsat_driver/issues/76>).
    This will reduce the difference between ROS 1 and ROS 2 code, because ROS 2 uses Python entry points to install executables.
  * Fix PEP8 Violations (#68 <https://github.com/evenator/nmea_navsat_driver/issues/68>). All Python modules and scripts now pass ``pycodestyle --max-line-length 120 src/libnmea_navsat_driver/ scripts/*``
  * Add ``nmea_serial_driver`` launch file (#60 <https://github.com/evenator/nmea_navsat_driver/issues/60>)
  * Removed ``roslint`` as build depend. (#59 <https://github.com/evenator/nmea_navsat_driver/issues/59>)
    ``roslint`` was accidentally re-added as a build dependency in #25 <https://github.com/evenator/nmea_navsat_driver/issues/25>.
  * Contributors: Ed Venator, Ryan Govostes, Tony Baltovski, Xiangyang Zhi, diasdm

 -- Ed Venator <evenator@gmail.com>  Sun, 23 Feb 2020 05:00:00 -0000

ros-melodic-nmea-navsat-driver (0.5.1-1stretch) stretch; urgency=high

  * Add support for IMU aided GPS systems like the Applanix POS/MV, whose NMEA strings typically begin '$IN'. (e.g. $INGGA). Add support for VTG messages, which contain Course Over Ground and Speed Made Good. These are useful when not using RMC messages and you don't have a heading sensor. (#30 <https://github.com/ros-drivers/nmea_navsat_driver/issues/30>/#58 <https://github.com/ros-drivers/nmea_navsat_driver/issues/58>)
  * Add a NMEA socket driver node, which is like the existing serial driver node, but instead of attaching to a TTY handle from a serial port, it listens to a UDP port for NMEA sentences. (#32 <https://github.com/ros-drivers/nmea_navsat_driver/issues/32>)
  * Add code to handle serial exception to allow node to exit cleanly (#52 <https://github.com/ros-drivers/nmea_navsat_driver/issues/52>)
  * Cleanup CMakeLists, package.xml; using package format 2. (#28 <https://github.com/ros-drivers/nmea_navsat_driver/issues/28>)
  * Update maintainer to Ed Venator (#38 <https://github.com/ros-drivers/nmea_navsat_driver/issues/38>)
  * Add GLONASS support
  * Updated driver to accept status of 9 which some novatel recievers report for a WAAS (SBAS) fix.
    See http://www.novatel.com/support/known-solutions/which-novatel-position-types-correspond-to-the-gga-quality-indicator/
  * Contributors: Ed Venator, Edward Venator, Eric Perko, Loy, Mike Purvis, Patrick Barone, Timo Röhling, Vikrant Shah

 -- Ed Venator <evenator@gmail.com>  Sun, 30 Dec 2018 05:00:00 -0000

ros-melodic-nmea-navsat-driver (0.5.0-1stretch) stretch; urgency=high

  * Release to Jade.

 -- Eric Perko <eric@ericperko.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-nmea-navsat-driver (0.4.2-1stretch) stretch; urgency=high

  * Fix remaining parse problem with NovAtel receivers (empty field specified for num_satellite).

 -- Eric Perko <eric@ericperko.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-nmea-navsat-driver (0.4.1-1stretch) stretch; urgency=high

  * Add debug logging output to the parser (PR #8, Mike Purvis)
  * Add queue size arguement to publishers to fix warning on Indigo (PR #9, Mike Purvis)
  * Add support for roslint and some related cleanup (PR #10, Mike Purvis)

 -- Eric Perko <eric@ericperko.com>  Sun, 03 Aug 2014 04:00:00 -0000

ros-melodic-nmea-navsat-driver (0.4.0-1stretch) stretch; urgency=high

  * Initial release for Indigo
  * Fix #5: Empty fields spam rosout with warnings. Driver now outputs sensor_msgs/NavSatFix messages that may contain NaNs in position and covariance when receiving invalid fixes from the device.

 -- Eric Perko <eric@ericperko.com>  Sun, 04 May 2014 04:00:00 -0000

ros-melodic-nmea-navsat-driver (0.3.3-1stretch) stretch; urgency=high

  * Allow the driver to output velocity information anytime an RMC message is received

 -- Eric Perko <eric@ericperko.com>  Tue, 08 Oct 2013 04:00:00 -0000

ros-melodic-nmea-navsat-driver (0.3.2-1stretch) stretch; urgency=high

  * Moved to nmea_navsat_driver package
  * Removed .py extensions from new-in-Hydro scripts
  * Now uses nmea_msgs/Sentence instead of custom sentence type
  * nmea_topic_driver reads the frame_id parameter from the sentence, not from the parameter server

 -- Eric Perko <eric@ericperko.com>  Sun, 21 Jul 2013 04:00:00 -0000

ros-melodic-nmea-navsat-driver (0.3.1-1stretch) stretch; urgency=high

  * Removed incorrect find_package dependencies

 -- Eric Perko <eric@ericperko.com>  Tue, 07 May 2013 04:00:00 -0000

ros-melodic-nmea-navsat-driver (0.3.0-1stretch) stretch; urgency=high

  * Initial release for Hydro
  * Converted to Catkin
  * nmea_gps_driver.py is now deprecated and will be removed in I-Turtle. Replacement node is nmea_serial_driver.py .
  * Refactored code into NMEA parser, common ROS driver and separate nodes for reading directly from serial or from topic.
  * Bugs fixed:


=== debian/control ===
Source: ros-melodic-nmea-navsat-driver
Section: misc
Priority: optional
Maintainer: Ed Venator <evenator@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslint
Homepage: http://ros.org/wiki/nmea_navsat_driver
Standards-Version: 3.9.2

Package: ros-melodic-nmea-navsat-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-melodic-geometry-msgs, ros-melodic-nmea-msgs, ros-melodic-rospy, ros-melodic-sensor-msgs
Description: Package to parse NMEA strings and publish a very simple GPS message.
 Does not require or use the GPSD deamon.
